Bug 36643 - Compaq Smart Array 3200 SCSI will not boot from HD
Compaq Smart Array 3200 SCSI will not boot from HD
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-19 09:33 EDT by Gil Chilton
Modified: 2007-04-18 12:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-18 14:54:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gil Chilton 2001-04-19 09:33:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


Compaq Proliant 1600 server, 3 - 18 GB SCSI HDs, 512 MB RAM, Compaq Smart 
Array 3200 SCSI card, disks are configured for RAID5 in SCSI card 
configuration

Upgraded the machine from 7.0 and later installed fresh 7.1 with same 
results.  When booting machine from hard disk, the display states:

Partition check:
    ida/c0d0

and then stops.

Initially after the message is displayed the disks do not appear to be 
accessed for 10 or so seconds and then all three are accessed (light on) 
until the machine is shutdown via Ctrl-Alt-Del which does the normal 
graceful shutdown or power down.

THE INTERESTING THING IS THAT IT WORKS FINE WHEN BOOTING FROM THE BOOT 
FLOPPY CREATED DURING INSTALL WHICH SEEMS TO DO THE SAME THING.

Reproducible: Always
Steps to Reproduce:
1. Install or upgrade to 7.1
2. Boot from hard drive as usual
3.
	

Actual Results:  Failed to boot from hard drive, does boot from boot floppy

Expected Results:  Boot
Comment 1 Daniel Roesen 2001-04-19 12:08:42 EDT
I think the continous lighting LEDs are not connected to the problem. We have
several SMART arrays and all show this behaviour from time to time during normal
usage. I guess it's SMART's internal RAID maintainance procedures are something
like this.
Comment 2 Arjan van de Ven 2001-04-19 16:20:02 EDT
The interesting piece of information is what comes DIRECTLY after the last
message before it gets "stuck", in the case where it does succeed. Is it
possible to get that information somehow ?
Comment 3 Gil Chilton 2001-04-20 10:10:26 EDT
Here are the contents of /var/log/dmesg from the floppy boot:

Linux version 2.4.2-2 (root@porky.devel.redhat.com) (gcc version 2.96 20000731 
(Red Hat Linux 7.1 2.96-79)) #1 Sun Apr 8 20:
41:30 EDT 2001
BIOS-provided physical RAM map:
 BIOS-e820: 000000000009f800 @ 0000000000000000 (usable)
 BIOS-e820: 0000000000000800 @ 000000000009f800 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000000f0000 (reserved)
 BIOS-e820: 000000001ff00000 @ 0000000000100000 (usable)
 BIOS-e820: 0000000000010000 @ 00000000fec00000 (reserved)
 BIOS-e820: 0000000000010000 @ 00000000fee00000 (reserved)
 BIOS-e820: 0000000000080000 @ 00000000fff80000 (reserved)
 BIOS-e820: 0000000000000000 @ 0000000100000000 (usable)
On node 0 totalpages: 131072
zone(0): 4096 pages.
zone DMA has max 32 cached pages.
zone(1): 126976 pages.
zone Normal has max 992 cached pages.
zone(2): 0 pages.
zone HighMem has max 1 cached pages.
Kernel command line: initrd=initrd.img root=/dev/ida/c0d0p9 BOOT_IMAGE=vmlinuz 
auto
Initializing CPU#0
Detected 548.544 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1094.45 BogoMIPS
Memory: 512740k/524288k available (1365k kernel code, 11160k reserved, 92k 
data, 236k init, 0k highmem)
Dentry-cache hash table entries: 65536 (order: 7, 524288 bytes)
Buffer-cache hash table entries: 32768 (order: 5, 131072 bytes)
Page-cache hash table entries: 131072 (order: 8, 1048576 bytes)
Inode-cache hash table entries: 32768 (order: 6, 262144 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 0383fbff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383fbff 00000000 00000000 00000000
CPU: After generic, caps: 0383fbff 00000000 00000000 00000000
CPU: Common caps: 0383fbff 00000000 00000000 00000000
CPU: Intel Pentium III (Katmai) stepping 03
Enabling fast FPU save and restore... done. 
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK. 
POSIX conformance testing by UNIFIX 
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel 
PCI: PCI BIOS revision 2.10 entry at 0xf0080, last bus=2
PCI: Using configuration type 1
PCI: Probing PCI hardware 
Unknown bridge resource 2: assuming transparent
Unknown bridge resource 2: assuming transparent 
  got res[1000:101f] for resource 4 of Intel Corporation 82371AB PIIX4 USB
PCI: Device 00:00 not found by BIOS
PCI: Device 00:a0 not found by BIOS
PCI: Device 00:a1 not found by BIOS
PCI: Device 00:a2 not found by BIOS
PCI: Device 00:a3 not found by BIOS
Limiting direct PCI/PCI transfers.
isapnp: Scanning for PnP cards... 
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4 
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS not found.
Starting kswapd v1.8  
pty: 256 Unix98 ptys configured 
block: queued sectors max/low 340453kB/209381kB, 1024 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31 
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev a1
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xf100-0xf107, BIOS settings: hda:pio, hdb:pio
hda: CD-ROM CDU701-Q, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 366k freed
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT SHARE_IRQ 
SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
ttyS01 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10d
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
autodetecting RAID arrays
autorun ...
... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 4096 buckets, 32Kbytes
TCP: Hash tables configured (established 131072 bind 65536)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
cpqarray: Device e11 has been found at 2 0
Compaq SMART2 Driver (v 2.4.2)
Found 1 controller(s)
cpqarray: Finding drives on ida0 (Smart Array 3200)
cpqarray ida/c0d0: blksz=512 nr_blks=71122560
Partition check:
 ida/c0d0: p1 p2 p3 < p5 p6 p7 p8 p9 >
sym53c8xx: at PCI bus 1, device 9, function 0
sym53c8xx: 53c876 detected
sym53c8xx: at PCI bus 1, device 9, function 1
sym53c8xx: 53c876 detected
sym53c876-0: rev 0x14 on pci bus 1 device 9 function 0 irq 9
sym53c876-0: NCR clock is 40218KHz  
sym53c876-0: ID 7, Fast-20, Parity Checking 
sym53c876-0: on-chip RAM at 0xc6eff000
sym53c876-0: restart (scsi reset).
sym53c876-0: Downloading SCSI SCRIPTS. 
sym53c876-1: rev 0x14 on pci bus 1 device 9 function 1 irq 10
sym53c876-1: ID 7, Fast-20, Parity Checking
sym53c876-1: on-chip RAM at 0xc6efe000 
sym53c876-1: restart (scsi reset). 
sym53c876-1: Downloading SCSI SCRIPTS.
scsi0 : sym53c8xx - version 1.6b
scsi1 : sym53c8xx - version 1.6b 
  Vendor: HP        Model: C1537A            Rev: L708
  Type:   Sequential-Access                  ANSI SCSI revision: 02
ThunderLAN driver v1.14a
TLAN: eth0 irq= 5, io=2800, Compaq Netelligent Integrated 10/100 TX UTP, Rev. 16
TLAN: 1 device installed, PCI: 1  EISA: 0
VFS: Mounted root (ext2 filesystem) readonly.
change_root: old root has d_count=3 
Trying to unmount old root ... okay 
Freeing unused kernel memory: 236k freed 
Adding Swap: 265176k swap-space (priority -1) 
st: bufsize 32768, wrt 30720, max init. buffers 4, s/g segs 16.
Attached scsi tape st0 at scsi1, channel 0, id 4, lun 0
Comment 4 Billy Taylor 2001-05-01 05:18:20 EDT
Has the BIOS APIC setting been set to "FULL TABLE MAPPED"?

This is exactly the behaviour I see when trying to boot dual proc AP400 
workstations with recent kernels/RH distribs. On the workstations, there does 
not appear to be a way to force "FULL TABLE MAPPED", as there is on the 
proliant servers.

Regards,
Billy.
Comment 5 Billy Taylor 2001-05-09 06:04:04 EDT
Try booting with "linux noapic", that 'fixed' it
for me.


Comment 6 Gil Chilton 2001-05-18 14:54:28 EDT
"linux noapic" fixed it.

Note You need to log in before you can comment on or make changes to this bug.